Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.jms
Class HornetQJMSConstants

    java.lang.Object
      org.hornetq.api.jms.HornetQJMSConstants

    public class HornetQJMSConstants

extends Object

Constants for HornetQ for property keys used for HornetQ specific extensions to JMS.

Author:
  Tim Fox

Field Summary
`static String` | `JBOSS_MESSAGING_BRIDGE_MESSAGE_ID_LIST`
`static String` | `JMS_HORNETQ_ENABLE_BYTE_ARRAY_JMS_CORRELATION_ID_PROPERTY_NAME`
`static String` | `JMS_HORNETQ_INPUT_STREAM`
`static String` | `JMS_HORNETQ_OUTPUT_STREAM`
`static String` | `JMS_HORNETQ_SAVE_STREAM`
`static int` | `PRE_ACKNOWLEDGE`

Constructor Summary
`HornetQJMSConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMS_HORNETQ_INPUT_STREAM

    public static final String JMS_HORNETQ_INPUT_STREAM

See Also:
  Constant Field Values

### JMS_HORNETQ_OUTPUT_STREAM

    public static final String JMS_HORNETQ_OUTPUT_STREAM

See Also:
  Constant Field Values

### JMS_HORNETQ_SAVE_STREAM

    public static final String JMS_HORNETQ_SAVE_STREAM

See Also:
  Constant Field Values

### JBOSS_MESSAGING_BRIDGE_MESSAGE_ID_LIST

    public static final String JBOSS_MESSAGING_BRIDGE_MESSAGE_ID_LIST

See Also:
  Constant Field Values

### PRE_ACKNOWLEDGE

    public static final int PRE_ACKNOWLEDGE

See Also:
  Constant Field Values

### JMS_HORNETQ_ENABLE_BYTE_ARRAY_JMS_CORRELATION_ID_PROPERTY_NAME

    public static final String JMS_HORNETQ_ENABLE_BYTE_ARRAY_JMS_CORRELATION_ID_PROPERTY_NAME

See Also:
  Constant Field Values

Constructor Detail

### HornetQJMSConstants

    public HornetQJMSConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.